Skip to main content
GET
Contract List Api

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

customer
string

Filter by customer UUID

external_customer_id
string

Filter by external customer ID

contract_status
string

Filter by contract status (e.g., 'draft', 'pending', 'accepted')

contract_start_date_gte
string<date>

Filter contracts starting on or after this date

contract_start_date_lte
string<date>

Filter contracts starting on or before this date

contract_end_date_gte
string<date>

Filter contracts ending on or after this date

contract_end_date_lte
string<date>

Filter contracts ending on or before this date

is_evergreen
boolean

Filter by evergreen status

limit
integer

Number of results to return per page

offset
integer

The initial index from which to return the results

Response

200 - application/json

List of contracts

items
ContractListOut · object[]
required
count
integer
required